Categories
Web Hosting

VMware rezolva 2 vulnerabilitati a produselor sale de virtualizare desktop si server

Furnizorul de software de virtualizare pentru industria de hosting si nu numai, VMware, a lansat 2 patch-uri de securitate pentru produsele Workstation, Player, Fusion, ESXi si ESX, in scopul de a rezolva 2 vulnerabilitati care ar putea permite atacatorilor sa compromita un sistem gazda sau o masina virtuala.

Cea mai grava vulnerabilitate este identificata ca CVE-2012-3288 si provine de la o validare necorespunzatoare a datelor de intrare atunci cand sunt incarcate fisierele checkpoint de pe o masina virtuala, a spus VMware intr-un comunicat de securitate.

Atacatorii ar putea exploata aceasta eroare de validare prin incarcarea unor fisiere checkpoint special concepute pentru a corupe memoria si a executa cod arbitrar pe sistemul gazda.

VMware recomanda clientilor sa faca upgrade la versiunile mai recente Workstation 8.0.4, 4.0.4, Player 4.0.4 si Fusion 4.1.3, sau sa instaleze patch-urile disponibile pentru versiunile lor ESXi si ESX. Clientii ar trebui de asemenea sa evite importul de masini virtuale din surse nesigure, a declarat compania.

A doua vulnerabilitate abordata de update-urile de securitate putea permite atacatorilor sa compromita o masina virtuala, prin trimiterea de trafic malformat de la un dispozitiv virtual aflat la distanta.

Dispozitivele virtuale aflate la distanta sunt dispozitive precum CD-ROM-uri, care sunt disponibile pentru o masina virtuala, dar sunt atasate fizic la un computer aflat la distanta. Astfel, traficul provenit de la dispozitive virtuale aflate la distanta este procesat incorect, a spus VMware.

Riscul asociat acestei vulnerabilitati este atenuat de faptul ca numai utilizatorii cu privilegii administrative pot atasa unei masini virtuale un dispozitiv aflat la distanta. VMWare sfatuieste utilizatorii sa nu ataseze masinilor virtuale dispozitive aflate la distanta si care nu sunt de incredere.